JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const response = await client.traces.retrieveByTest('123e4567-e89b-12d3-a456-426614174000');
console.log(response.data);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
response = client.traces.retrieve_by_test(
"123e4567-e89b-12d3-a456-426614174000",
)
print(response.data)curl --request GET \
--url https://api.avidoai.com/v0/traces/by-test/{id} \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"traceId": "789e4567-e89b-12d3-a456-426614174000",
"applicationId": "app_123",
"timestamp": "2025-01-05T12:34:56.789Z",
"type": "llm",
"event": "start",
"tokens": {
"input": 100,
"output": 200
},
"metadata": {
"custom": "metadata"
}
}
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Trace not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Traces
Get a single trace by Test ID
Retrieves detailed information about a specific trace.
GET
/
v0
/
traces
/
by-test
/
{id}
JavaScript
import Avido from 'avido';
const client = new Avido({
apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});
const response = await client.traces.retrieveByTest('123e4567-e89b-12d3-a456-426614174000');
console.log(response.data);import os
from avido import Avido
client = Avido(
api_key=os.environ.get("AVIDO_API_KEY"), # This is the default and can be omitted
application_id=os.environ.get("AVIDO_APPLICATION_ID"), # This is the default and can be omitted
)
response = client.traces.retrieve_by_test(
"123e4567-e89b-12d3-a456-426614174000",
)
print(response.data)Authorizations
Your unique Avido API key
Your unique Avido Application ID
Path Parameters
The unique identifier of the trace
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Successfully retrieved trace
Successful response containing a single trace object
A trace grouping related steps (e.g. a user-agent interaction or conversation).
Show child attributes
Show child attributes
⌘I